## cascading.flow.local.planner
Class LocalPlanner

    java.lang.Object
      cascading.flow.planner.FlowPlanner<LocalFlow,Properties>
          cascading.flow.local.planner.LocalPlanner

    public class LocalPlanner

extends FlowPlanner<LocalFlow,Properties>

Field Summary

Fields inherited from class cascading.flow.planner.FlowPlanner
`assertionLevel, checkpointRootPath, debugLevel, properties`

Constructor Summary
`LocalPlanner()`

Method Summary
`LocalFlow` `buildFlow(FlowDef flowDef)`
`protected LocalFlow` `createFlow(FlowDef flowDef)`
`Properties` `getConfig()`
`PlatformInfo` `getPlatformInfo()`
`void` `initialize(FlowConnector flowConnector, Map<Object,Object> properties)`
`protected Tap` `makeTempTap(String prefix, String name)`

Methods inherited from class cascading.flow.planner.FlowPlanner

`createElementGraph, failOnGroupEverySplit, failOnLoneGroupAssertion, failOnMissingGroup, failOnMisusedBuffer, getProperties, handleExceptionDuringPlanning, handleJobPartitioning, handleJoins, handleNonSafeOperations, insertTempTapAfter, makeTempTap, resolveAssemblyPlanners, resolveTails, verifyAllTaps, verifyAssembly, verifyCheckpoints, verifyPipeAssemblyEndPoints, verifySourceNotSinks, verifyTaps, verifyTraps`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalPlanner

    public LocalPlanner()

Method Detail

### getConfig

    public Properties getConfig()

  Specified by:
    `getConfig` in class `FlowPlanner<LocalFlow,Properties>`

### getPlatformInfo

    public PlatformInfo getPlatformInfo()

  Specified by:
    `getPlatformInfo` in class `FlowPlanner<LocalFlow,Properties>`

### initialize

    public void initialize(FlowConnector flowConnector,
                           Map<Object,Object> properties)

  Overrides:
    `initialize` in class `FlowPlanner<LocalFlow,Properties>`

### createFlow

    protected LocalFlow createFlow(FlowDef flowDef)

  Specified by:
    `createFlow` in class `FlowPlanner<LocalFlow,Properties>`

### buildFlow

    public LocalFlow buildFlow(FlowDef flowDef)

  Specified by:
    `buildFlow` in class `FlowPlanner<LocalFlow,Properties>`

### makeTempTap

    protected Tap makeTempTap(String prefix,
                              String name)

  Specified by:
    `makeTempTap` in class `FlowPlanner<LocalFlow,Properties>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.